eth_getTransactionCount

Returns the number of transactions sent from an address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • DATA, 20 Bytes - address.
  • QUANTITY|TAG - Hex encoded integer block number, or the string "latest", "earliest" or "pending", see the default block parameter.
curl https://ethereum-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"eth_getTransactionCount",
    "params":[
        "0x17c0f36f80A6ed37F09650C52f24C76a396eDf18",
        "latest"
    ]
}'

Returns

  • QUANTITY - integer of the number of transactions send from this address.
{"jsonrpc":"2.0","id":1,"result":"0x8"}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "jsonrpc":"2.0", "id":1, "method":"eth_getProof", "params":[ "0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842", ["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"], "latest" ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!